Bug 124331 - Krfb / KDE Remote Desktop Connection makes server suck 100% CPU
Krfb / KDE Remote Desktop Connection makes server suck 100% CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 13:59 EDT by Andy Green
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 10:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Green 2004-05-25 13:59:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040225 Firefox/0.8

Description of problem:
When I connect, using KDE Remote Desktop Connection/Krfb to a second
Fedora Core 2 machine running KDE, the machine I am connecting to goes
to 100% CPU and stays there for the duration of the connect.  The
connect works, I can see and control the remote desktop, but X and
krfb are sharing 100% CPU between them the whole time.

I looked with tcpdump on the vnc port and there is no traffic while
there is nothing happening on the screen and the pointer is not moved.
 HOWEVER, if I go look at the server's physical display, I see the
mouse pointer is flickering like it is being constantly redrawn. 
THEREFORE this seems to be a problem at the sever constantly redrawing
the mouse cursor even though there is no movement from the client or
locally.

As I say the connect is functional, just the server is at 100% CPU
until I disconnect and so runs like treacle.

Version-Release number of selected component (if applicable):
kdenetwork-3.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. Enable unrequested desktop connects at the server side
2. Use the Remote Desktop Connect app at the client to connect to the
server

    

Actual Results:  See from top, etc that we are pegged at 100% CPU on
an otherwise idle client, and that X and krfb are sucking it up


Expected Results:  CPU should remain near 0% on the idling server, if
nothing is redrawing

Additional info:

top says....

Tasks: 102 total,   3 running,  99 sleeping,   0 stopped,   0 zombie
Cpu(s): 76.2% us, 20.5% sy,  0.0% ni,  3.3% id,  0.0% wa,  0.0% hi, 
0.0% si
Mem:    240588k total,   238392k used,     2196k free,    30932k buffers
Swap:   511992k total,        0k used,   511992k free,   105076k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 1938 root      17   0 47464  11m  36m R 61.1  4.8  92:54.45 X
 7009 media     15   0 34296  17m  20m S 33.3  7.3  45:49.75 krfb
Comment 1 Andy Green 2004-05-26 05:49:01 EDT
More information on the xorg state:

[root@backup root]# rpm -qa | grep xorg
xorg-x11-Xvfb-6.7.0-2
xorg-x11-doc-6.7.0-2
xorg-x11-ISO8859-14-100dpi-fonts-6.7.0-2
xorg-x11-truetype-fonts-6.7.0-2
xorg-x11-75dpi-fonts-6.7.0-2
xorg-x11-devel-6.7.0-2
xorg-x11-tools-6.7.0-2
xorg-x11-libs-data-6.7.0-2
xorg-x11-sdk-6.7.0-2
xorg-x11-libs-6.7.0-2
xorg-x11-Mesa-libGL-6.7.0-2
xorg-x11-Mesa-libGLU-6.7.0-2
xorg-x11-xauth-6.7.0-2
xorg-x11-xfs-6.7.0-2
xorg-x11-syriac-fonts-6.7.0-2
xorg-x11-ISO8859-9-75dpi-fonts-6.7.0-2
xorg-x11-ISO8859-15-75dpi-fonts-6.7.0-2
xorg-x11-ISO8859-14-75dpi-fonts-6.7.0-2
xorg-x11-100dpi-fonts-6.7.0-2
xorg-x11-ISO8859-9-100dpi-fonts-6.7.0-2
xorg-x11-Xnest-6.7.0-2
xorg-x11-6.7.0-2
xorg-x11-twm-6.7.0-2
xorg-x11-xdm-6.7.0-2
xorg-x11-font-utils-6.7.0-2
xorg-x11-base-fonts-6.7.0-2
xorg-x11-ISO8859-2-75dpi-fonts-6.7.0-2
xorg-x11-ISO8859-15-100dpi-fonts-6.7.0-2
xorg-x11-cyrillic-fonts-6.7.0-2
xorg-x11-ISO8859-2-100dpi-fonts-6.7.0-2



[root@backup root]# cat /etc/X11/XF86Config
# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
#       InputDevice    "Mouse0" "CorePointer"
        InputDevice    "DevInputMice" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
# RgbPath is the location of the RGB database.  Note, this is the name
of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"
# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

#Section "InputDevice"
#       Identifier  "Mouse0"
#       Driver      "mouse"
#       Option      "Protocol" "IMPS/2"
#       Option      "Device" "/dev/input/mice"
#       Option      "ZAxisMapping" "4 5"
#       Option      "Emulate3Buttons" "no"
#EndSection

Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Iiyama MF-8721E, VisionMaster"
        HorizSync    27.0 - 110.0
        VertRefresh  50.0 - 160.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "via"
        VendorName  "Videocard vendor"
        BoardName   "VESA driver (generic)"
        VideoRam 32768
        Option "NoDDCValue"
        Option "ActiveDevice" "TV"
        Option "TVDotCrawl" "True"
        Option "TVType" "PAL"
        Option "TVVScan" "over"
        Option "TVOutput" "S-Video"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection
Comment 2 Andy Green 2004-05-26 06:05:40 EDT
Hum... an email exchange with Tim Jansen leads here:

http://bugs.kde.org/show_bug.cgi?id=68637

which is a WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.